1. Webhook
RemitPro - API International Remittance
  • Getting Strated Guide
    • 1. Overview
    • 2. High Level Flow
    • 3. Supported Corridors
    • 4. Authorization & Scope
    • 5. Handle Error
    • 6. Signature
    • 7. API Host
    • 8. Pre-Integration Steps
    • 9. Doc Change Log
  • API Reference (V1)
    • Authentication
      • Generate Token
        POST
      • Refresh Token
        POST
    • Master Data
      • Onboarding
        • Overview
        • Id Type Personal
        • Id Types Business
        • Business Classification
        • Business Industry
        • Nature of Business
        • Business Entity
        • Document Types Personal
        • Document Types Business
        • Education
        • Gender
        • Marital Status
        • Nationalities
        • Occupation
        • Purpose Account
        • Salutation
        • User Position
        • Phone Prefix
        • Monthly Income
      • Area
        • Overview
        • Countries
        • Countries by Id
        • States
        • States by Id
        • City
        • City by Id
        • District
        • District by Id
        • Sub District
        • Sub District by Id
      • Transaction
        • Overview
        • Bank
        • Bank Branch
        • Bank Account Type
        • Business Classification
        • Business Industry
        • Nature of Business
        • Business Entity
        • Identity Types
        • Education
        • Gender
        • Marital Status
        • Nationalities
        • Occupation
        • Phone Prefix
        • Purpose of Payment
        • Recipient of Relationship
        • Source of Income
        • User Position
        • Work Status
    • Payout Cross Border
      • Sender
        • Overview
        • Business
          • Create Sender
          • Update Sender
          • Deactive
          • Reactive
          • Sender Detail
          • Sender List
          • History List
        • Personal
          • Create Sender
          • Update Sender
          • Deactive
          • Reactive
          • Sender Detail
          • Sender List
          • History List
      • Recipient
        • Overview
        • Business
          • Recipient Form
          • Create
          • Update
          • Deactive
          • Reactive
          • Recipient Detail
          • Recipient List
          • History List
        • Personal
          • Recipient Form
          • Create
          • Update
          • Deactive
          • Reactive
          • Recipient Detail
          • Recipient List
          • History List
      • Quotes
        • Enquire Quotes
        • Quote List
        • Quote Detail
      • Transaction
        • Create Transaction
        • Transaction Status
        • Transaction List
        • Transaction Detail
    • Onbording Member
      • Overview
      • Business
        • Get Business Document
        • Create Member
        • Update
        • Deactive
        • Reactive
        • Member List
        • Member Detail
        • History List
      • Personal
        • Create Member
        • Update
        • Deactive
        • Reactive
        • Member List
        • Member Detail
        • History List
    • Wallet
      • Overview
      • Own Wallet
      • Wallet Member List
      • Wallet Member Detail
      • Get Own Wallet Histories
      • Get Member Wallet Histories
    • Virtual Account
      • Create Virtual Account
      • Virtual Account List
      • Virtual Account Detail
      • Top Up Simulation
    • Webhook
      • Overview
      • Webhook Category
        GET
      • Webhook URL Submission
        POST
      • Get Webhook URL List
        GET
      • Update
        PUT
      • Deactive
        DELETE
  1. Webhook

Update

Developing
PUT
/api/v1/partner/webhook/{webhook_id}
This endpoint allows you to modify an existing webhook configuration by providing the webhook ID.
You can update details such as the webhook URL.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Invalid Data
🟠401Unauthorized
🟠401Token Expired
🟠404Data Not Found
🟠401Invalid Account
🟠400Validation Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/api/v1/partner/webhook/193c50b9-63f7-4919-9f6f-72c3858f93ea' \
--header 'Authorization: {{token}}' \
--header 'ClientSecret: {{ClientSecret}}' \
--header 'Signature: {{signature}}' \
--header 'Date: {{dateRequest}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "webhookUrl": "https://lingkarhub.com/webhook?type=risk2"
}'
Response Response Example
200 - Success
{
    "status": 200,
    "serviceStatus": "2001900",
    "titleCode": "success",
    "title": "Success",
    "detail": "Processed successfully",
    "responseTime": "2025-10-07T08:54:41",
    "data": {
        "webhookId": "193c50b9-63f7-4919-9f6f-72c3858f93ea",
        "webhookUrl": "https://lingkarhubtest.com/webhook?type=risk2"
    }
}
Modified at 2025-10-28 11:04:11
Previous
Get Webhook URL List
Next
Deactive
Built with